<form *ngIf="form" [formGroup]="form" (ngSubmit)="login()">

  <mat-form-field *ngIf="form.get('username') as username">
    <mat-label translate>management.login.username</mat-label>
    <input [formControl]="username" matInput>
    <mat-error *ngIf="username.invalid">{{username.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="form.get('password') as password">
    <mat-label translate>management.login.password</mat-label>
    <input [type]="passwordHide ? 'password' : 'text'" [formControl]="password" matInput>
    <mat-icon class="icon--pointer" matSuffix (click)="passwordHide = !passwordHide">
      {{passwordHide ? 'visibility_off' : 'visibility'}}</mat-icon>
    <mat-error *ngIf="password.invalid">{{password.errors | errorFormat | async}}</mat-error>
  </mat-form-field>

  <button type="submit" mat-raised-button color="primary" class="button--submit">
    <span translate>management.login.submit</span>
  </button>
</form>